* Instantiate an SFRegistry object and flag that we can create new keys as
* needed.

loRegistry = newobject('SFRegistry', 'SFFFC.vcx')
loRegistry.lCreateKey = .T.

* See what the VFP resource file is set to by reading from the appropriate
* place in the Registry.

wait window 'Resource file: ' + loRegistry.GetRegKey('ResourceTo', ;
	'Software\Microsoft\VisualFoxPro\6.0\Options')

* Set the default key to our own key, then assign values to a couple of
* options. Read one of them back to see that it was written.

loRegistry.cAppPathKey = 'Software\FoxTalk\Reusable Tools'
loRegistry.SetRegKey('My Sample Option', 'Hello World')
loRegistry.SetRegKey('My Other Option', 'This is a test')
wait window 'My sample option: ' + loRegistry.GetRegKey('My Sample Option')

* Get a list of the options.

clear
dimension laOptions[1]
lnOptions = loRegistry.EnumOptions(@laOptions)
? 'Here are the keys we just defined and their values:'
?
for lnI = 1 to lnOptions
	? laOptions[lnI, 1] + ':', laOptions[lnI, 2]
next lnI

* Nuke our key and confirm it's gone.

loRegistry.DeleteKey()
wait window 'Software\FoxTalk\Reusable Tools is ' + ;
	iif(loRegistry.IsKey('Software\FoxTalk\Reusable Tools'), '', 'not ') + ;
	'gone'
